Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Retrieve vector store file batch

GET/vector_stores/{vector_store_id}/file_batches/{batch_id}

Retrieves a vector store file batch.

Path ParametersExpand Collapse
vector_store_id: string
batch_id: string
ReturnsExpand Collapse
VectorStoreFileBatch object { id, created_at, file_counts, 3 more }

A batch of files attached to a vector store.

id: string

The identifier, which can be referenced in API endpoints.

created_at: number

The Unix timestamp (in seconds) for when the vector store files batch was created.

formatunixtime
file_counts: object { cancelled, completed, failed, 2 more }
cancelled: number

The number of files that where cancelled.

completed: number

The number of files that have been processed.

failed: number

The number of files that have failed to process.

in_progress: number

The number of files that are currently being processed.

total: number

The total number of files.

object: "vector_store.files_batch"

The object type, which is always vector_store.file_batch.

status: "in_progress" or "completed" or "cancelled" or "failed"

The status of the vector store files batch, which can be either in_progress, completed, cancelled or failed.

One of the following:
"in_progress"
"completed"
"cancelled"
"failed"
vector_store_id: string

The ID of the vector store that the File is attached to.

Retrieve vector store file batch

curl https://api.openai.com/v1/vector_stores/vs_abc123/file_batches/vsfb_abc123 \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: application/json" \
  -H "OpenAI-Beta: assistants=v2"
{
  "id": "vsfb_abc123",
  "object": "vector_store.file_batch",
  "created_at": 1699061776,
  "vector_store_id": "vs_abc123",
  "status": "in_progress",
  "file_counts": {
    "in_progress": 1,
    "completed": 1,
    "failed": 0,
    "cancelled": 0,
    "total": 0,
  }
}
Returns Examples
{
  "id": "vsfb_abc123",
  "object": "vector_store.file_batch",
  "created_at": 1699061776,
  "vector_store_id": "vs_abc123",
  "status": "in_progress",
  "file_counts": {
    "in_progress": 1,
    "completed": 1,
    "failed": 0,
    "cancelled": 0,
    "total": 0,
  }
}